<?
#Старт сессии
session_start();

#Подключаем базу
include '../engine/config.php';
include '../engine/classes/bbcode.class.php';
  
#Проверяем способ вызова файла
if ( !defined( 'MISOFT_ADMIN_DIRR' ) ) exit();

if ( !isset( $_SESSION['iduser'] ) or $config_user['account'] != 5 ) {
    echo '<div class="stabilisacion-engine"><div class="alert alert-danger" role="alert">
	  <strong>Внимание!</strong> Нарушен механизм безопасности! В силу безопасности и целостности сайта, выполнение скриптов остановлено. Ошибка №A1
	</div></div>';
	exit();
} else {
  
  #Запрос подсчета количества страниц (являеться аналогом центрального циклового запроса, за исключением параметров сортировки)
  $site_page = mysql_fetch_array( mysql_query( "SELECT COUNT(id) as count FROM blockSite" ) );
  $kolvo = 10;
  $all = $site_page['count'];
  $allpage = ceil( $all / $kolvo );
  $this_page = ( isset( $_GET['p'] ) ) ? intval( $_GET['p'] ) : 1 ;
  if ( $this_page < 1 ) $this_page = 1;
  if ( $this_page > $allpage ) $this_page = $allpage;
  $start = $this_page * $kolvo - $kolvo;
  if ( $start == -$kolvo ) { $start = 1; }
  
  ?>
    <script type="text/javascript">
      function config_1() {
		$.ajax ({
            url: 'ajax_update.php?func=blocksite',
            type: 'POST',
			dataType: 'html',
			data: $("#editform").serialize(),
            success: function(data) {
              if(data == 1) {
                $('#block_title_error').fadeIn(0);
                $('#success_ajax').fadeIn(500);
                setTimeout(function() {
                    $('#success_ajax').fadeOut(500);
					$('#block_title_error').fadeOut(0);
					location.href = "?page=blocking_sites";
                }, 4000);
              } else {
				$('#block_title_error').fadeIn(0);
				$('#error_ajax').fadeIn(500).html(data);
                setTimeout(function() {
                    $('#error_ajax').fadeOut(500).html('&nbsp;');
					$('#block_title_error').fadeOut(0);
                }, 4000);
			  }
            }
        });
      }
	  
	  function config_2(a) {
		$.ajax ({
            url: 'ajax_update.php?func=delBlockSite',
            type: 'POST',
            data: ({id: a }),
		    dataType: 'html',
            success: function(data) {
              if(data == 1) {
                location.reload();
              } 
            }
        });
      }
	  
	  function qbb(a, b, c) {
	    textarea = document.getElementById(c);
	    if (document.selection && document.selection.createRange) textarea.focus(), sel = document.selection.createRange(), sel.text = a + sel.text + b;
	    else if (textarea.selectionStart || "0" == textarea.selectionStart) {
		  c = textarea.selectionStart;
		  var d = textarea.selectionEnd;
		  textarea.value = textarea.value.substring(0, c) + a + textarea.value.substring(c, d) + b + textarea.value.substring(d, textarea.value.length);
		  textarea.selectionStart = textarea.selectionEnd = d + a.length + b.length
	    } else textarea.value += a + b;
	    textarea.focus()
	  };
	  
	  function show_close() {
		if ($('#type').val() == '2') {
		  $('#url').fadeIn(500);
		} else {
		  $('#url').fadeOut(300);
		}
	  }
    </script>
    <div class="content-wrapper">
	  <div class="container-fluid">
		<div class="row">
		  <div class="col-md-12">
		    <h2 class="page-title">Блокировка сайтов</h2>

			<div class="row">
			  <div class="col-md-6">
				<div class="panel panel-default">
				  <div class="panel-heading">Список заблокированных</div>
				  <div class="panel-body">
					<table id="" class="display table table-striped table-bordered table-hover" cellspacing="0" width="100%">
					  <thead>
						<tr>
						  <th class="text_centralizator">Сайт</th>
						  <th class="text_centralizator">Причина блокировки</th>
						  <th class="text_centralizator">Действие</th>
						</tr>
					  </thead>
					  <tbody>
					    <?
					      $site_open = mysql_query( "SELECT * FROM blockSite ORDER BY id DESC LIMIT $start,$kolvo" );
					  
					      if ( mysql_num_rows( $site_open ) > 0 ) {
						
						    $style_wan = 0;
						    while( $site_open_row = mysql_fetch_array( $site_open ) ) {
							  $style_wan++;
							  ?> 
							   <tr>
							      <td class="text_centralizator"><?=$site_open_row['site']?></td>
							      <td class="text_centralizator"><?=$site_open_row['opisanie']?></td>
							      <td class="text_centralizator"><a href="#" class="btn btn-danger btn-xs" onclick="config_2(<?=$site_open_row['id']?>);return false;">Удалить</a></td>
							    </tr>
						      <?
						    } 
						  } else {
						    ?><tr ><td colspan="3" class="text_centralizator">В данный момент записей нет.</td></tr><?
					      }
				        ?> 
				        <br/>
					  </tbody>
				    </table>
					<div class="div_centralizator"><? echo navigation( 10, ( int ) $_GET['p'], $site_page['count'], '?page=blocking_sites&p=' ); ?></div>
				  </div>
				</div>
			  </div>
			  
			  <div class="col-md-6">
				<div class="panel panel-default">
				  <div class="panel-heading">Добавить в базу</div>
				  <div class="panel-body">
					<form id="editform" action="" method="POST" class="form-horizontal">
					  <div class="form-group">
						<label class="col-sm-2 control-label ">URL</label>
						<div class="col-sm-10 input-size-one">
						  <input type="text" class="form-control" name="site" id="site" value="">
						  <span class="help-block m-b-none"></span>
						</div>
					  </div>
					  
					  <div class="hr-dashed"></div>
					  <div class="form-group ">
						<label class="col-sm-2 control-label ">Причина блокировки</label>
						<div class="col-sm-10 input-size-one">
						  <div class="bbcode-panel-forum-post ">
							<span onclick="qbb('[b]','[/b]','opisanie')" id="bb_b" title="Полужирный текст" class="bb-b-forum"><i class="fa fa-bold" aria-hidden="true"></i></span>
							<span onclick="qbb('[i]','[/i]','opisanie')" id="bb_i" title="Наклонный текст" class="bb-i-forum"><i class="fa fa-italic" aria-hidden="true"></i></span>
							<span onclick="qbb('[u]','[/u]','opisanie')" id="bb_u" title="Подчеркнутый текст" class="bb-u-forum"><i class="fa fa-underline" aria-hidden="true"></i></span>
							<span onclick="qbb('[s]','[/s]','opisanie')" id="bb_s" title="Зачеркнутый текст" class="bb-s-forum"><i class="fa fa-strikethrough" aria-hidden="true"></i></span>
							<span onclick="qbb('[sub]','[/sub]','opisanie')" id="bb_sub" title="Нижний индекс" class="bb-sub-forum"><i class="fa fa-subscript" aria-hidden="true"></i></span>
							<span onclick="qbb('[sup]','[/sup]','opisanie')" id="bb_sup" title="Верхний индекс" class="bb-sup-forum"><i class="fa fa-superscript" aria-hidden="true"></i></span>
						  </div>
						  <textarea name="opisanie" id="opisanie" style="padding-top: 38px; max-width: 632px; min-width: 632px;" class="form-control" rows="10"></textarea>
						  <span class="help-block m-b-none"></span>
						</div>
					  </div>
					
					  <div class="form-group error-form-fix" id="block_title_error">
					    <div class="hr-dashed"></div>
						<div class="alert alert-dismissible alert-info" id="success_ajax">
						  Сайт успешно заблокирован!
						</div>
						<div class="alert alert-dismissible alert-danger" id="error_ajax">
						  Внимание ошибка!
						</div>
					  </div>
					
					  <div class="hr-dashed"></div>
					  <div class="form-group class-float-right">
						<div class="col-sm-8 col-sm-offset-2">
						  <button class="btn btn-primary" type="submit" onclick="config_1();return false;">Заблокировать</button>
						</div>
					  </div>
					  
					</form>
				  </div>
				</div>
			  </div>
			  
			</div>
		  </div>
		</div>
	  </div>
	</div>
  <?
} 
?>